import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/submit',
    method: 'post',
    data: row
  })
}

export const userRegister = (row) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/userRegister',
    method: 'post',
    data: row
  })
}

export const testMerchantRegister = (row) => {
  return request({
    url: '/api/cyzh-bussiness-register-request/bussinessregisterrequest/testSubmit',
    method: 'post',
    data: row
  })
}

